package com.usoftchina.qywx.sdk.exception;

import com.usoftchina.qywx.sdk.dto.BaseResp;

/**
 * @author yingp
 */
public class WeiXinInvokeException extends RuntimeException {
    private final int code;

    public WeiXinInvokeException(BaseResp resp) {
        super(resp.getErrmsg());
        this.code = resp.getErrcode();
    }

    public int getCode() {
        return code;
    }
}
